Bug 817591 - opensm should install a rwtab file
opensm should install a rwtab file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: opensm (Show other bugs)
16
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F18-accepted/F18FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2012-04-30 11:06 EDT by Albert Strasheim
Modified: 2012-12-20 00:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-15 12:58:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Albert Strasheim 2012-04-30 11:06:36 EDT
Description of problem:

opensm breaks if the root file system is read-only.

Version-Release number of selected component (if applicable):

opensm-3.3.13-2.fc16.x86_64

How reproducible:

always

Steps to Reproduce:
1. mount read-only root file system
  
Actual results:

opensm won't start.

Expected results:

Additional info:

opensm should install a file into /etc/rwtab.d:

empty /var/cache/opensm
Comment 1 Fedora Update System 2012-12-05 14:19:21 EST
libibmad-1.3.9-1.fc17, libibumad-1.3.8-1.fc17, opensm-3.3.15-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/opensm-3.3.15-2.fc17,libibmad-1.3.9-1.fc17,libibumad-1.3.8-1.fc17
Comment 2 Fedora Update System 2012-12-05 14:25:55 EST
libibmad-1.3.9-1.fc18, libibumad-1.3.8-1.fc18, rdma-2.0-6.fc18, opensm-3.3.15-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rdma-2.0-6.fc18,opensm-3.3.15-3.fc18,libibmad-1.3.9-1.fc18,libibumad-1.3.8-1.fc18
Comment 3 Fedora Update System 2012-12-05 18:08:53 EST
Package libibmad-1.3.9-1.fc18, libibumad-1.3.8-1.fc18, rdma-2.0-6.fc18, opensm-3.3.15-3.fc18, srptools-0.0.4-16.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libibmad-1.3.9-1.fc18 libibumad-1.3.8-1.fc18 rdma-2.0-6.fc18 opensm-3.3.15-3.fc18 srptools-0.0.4-16.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19794/srptools-0.0.4-16.fc18,rdma-2.0-6.fc18,opensm-3.3.15-3.fc18,libibmad-1.3.9-1.fc18,libibumad-1.3.8-1.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-15 12:58:09 EST
libibmad-1.3.9-1.fc17, libibumad-1.3.8-1.fc17, opensm-3.3.15-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Adam Williamson 2012-12-19 16:40:50 EST
The bugs related to the update https://admin.fedoraproject.org/updates/srptools-0.0.4-16.fc18,rdma-2.0-6.fc18,opensm-3.3.15-3.fc18,libibmad-1.3.9-1.fc18,libibumad-1.3.8-1.fc18 were discussed as a group at the 2012-12-19 NTH review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-12-19/f18final-blocker-review-6.2012-12-19-17.02.log.txt .

We considered them en masse with the general justification that dledford wishes to migrate the services in these packages to systemd prior to the release of Fedora 18, and also to fix a small security bug.

The update policy precludes migrating from sysv to systemd post-release, so if we do not allow this update through the freeze, dledford will be stuck maintaining sysv scripts for the whole of the F18 cycle (and he will have to undo all his migration work in the specs). We considered that these updates relate to a fairly unusual technology - infiniband - and that the typical Infiniband user is likely to be capable of working with Doug to resolve any teething issues that appear: accepting this update is very unlikely to cause any problems in 'typical' use. We also considered that Doug generally knows what he's doing.

Thus we accepted the issue as a whole as NTH, and will mark all the proposed bugs as AcceptedNTH, and pull the update through the freeze.
Comment 6 Fedora Update System 2012-12-20 00:27:47 EST
libibmad-1.3.9-1.fc18, libibumad-1.3.8-1.fc18, rdma-2.0-6.fc18, opensm-3.3.15-3.fc18, srptools-0.0.4-16.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.